const _Http = getApp().globalData.http;
Component({
    properties: {},
    data: {
        list: [],
        sa_competitorid: "",
        "content": {
            "nocache": true,
            "pageNumber": 1,
            "pageTotal": 1,
            "total": null,
            "where": {
                "condition": ""
            }
        }
    },
    methods: {
        getList(id, init) {
            let content = this.data.content;
            content.sa_competitorid = id;
            if (init) content.pageNumber = 1
            _Http.basic({
                "id": "20221019170002",
                content
            }).then(res => {
                console.log("关联项目商机", res)
                if (res.msg != '成功') return wx.showToast({
                    title: res.data,
                    icon: "none"
                })
                this.setData({
                    list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                    "content.pageNumber": res.pageNumber + 1,
                    "content.pageSize": res.pageSize,
                    "content.pageTotal": res.pageTotal,
                    "content.total": res.total,
                    sa_competitorid: id
                });
            })
        },
    }
})